Bug 806877 - volume status message for nfs process should be appropriate
volume status message for nfs process should be appropriate
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-26 08:26 EDT by Shwetha Panduranga
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:39:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shwetha Panduranga 2012-03-26 08:26:48 EDT
Description of problem:
when volume status <volumename> nfs is executed, the displayed output message shows: 
1) The nfs server process labeled as bricks
2) Port column has "0" value for all the nfs server process.

The message has to be appropriate. 

Version-Release number of selected component (if applicable):
mainline

How reproducible:
often

Steps to Reproduce:
1.gluster volume status <volumename> nfs

  
Actual results:
[03/26/12 - 22:44:30 root@APP-SERVER2 ~]# gluster volume status dstore nfs

Status of volume: dstore
Brick							Port	Online	Pid
------------------------------------------------------------------------------
NFS Server:localhost					0	Y	12916
NFS Server:192.168.2.37					0	Y	31225
NFS Server:192.168.2.35					0	Y	1099
Comment 1 Kaushal 2012-03-30 01:21:56 EDT
NFS processes being labeled as bricks issue has been fixed in change http://review.gluster.com/3016 for bug https://bugzilla.redhat.com/show_bug.cgi?id=803676

Still looking into the ports issue.
Comment 2 Anand Avati 2012-04-02 05:41:24 EDT
CHANGE: http://review.gluster.com/3060 (glusterd: Include port in nfs status) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Shwetha Panduranga 2012-04-04 08:21:14 EDT
verified on 3.3.0qa33

[04/04/12 - 22:23:04 root@APP-SERVER1 ~]# gluster volume status dstore nfs

Status of volume: dstore
Gluster process						Port	Online	Pid
------------------------------------------------------------------------------
NFS Server on localhost					38467	Y	32678
NFS Server on 192.168.2.36				38467	Y	31756
NFS Server on 192.168.2.37				38467	Y	12329

brick label is changed to "Gluster process". Port has proper values.

Note You need to log in before you can comment on or make changes to this bug.